Subject: Re: bug#4550: 23.1; give users a choice for quitting backtrace buffer

From: martin rudalics <[email-masked]>
Date: Sun, 17 Jul 2011 11:39:40 +0200

> I want the frame to either remain or be deleted, not iconified.
 > I want users to be able to specify the behavior they prefer.

We can add a buffer display specifier which tells a priori what to do
with the window/frame/buffer when the window is no more needed.  For
that I'd need a list of specification concepts for

- what to do with the window (delete it or keep it),

- what to do with the frame (iconfiy, delete, keep it, make it
   invisible),

- what to do with the buffer (kill it, bury it),

with an optional function that could be called for each of these.

If a consensus can be reached, this could be easily done.  The calling
application would propose the default behavior via an argument and the
user could override it.

martin